package com.fs.qw.service;

import com.fs.qw.domain.QwContactBatch;
import com.fs.qw.vo.QwContactBatchListVO;

import java.util.List;

/**
 * 企微公海Service接口
 *
 * @author fs
 * @date 2024-07-12
 */
public interface IQwContactBatchService
{
    /**
     * 查询企微公海
     *
     * @param id 企微公海主键
     * @return 企微公海
     */
    public QwContactBatch selectQwContactBatchById(Long id);
    public QwContactBatchListVO selectQwContactBatchByIdVO(Long id);

    /**
     * 查询企微公海列表
     *
     * @param qwContactBatch 企微公海
     * @return 企微公海集合
     */
    public List<QwContactBatch> selectQwContactBatchList(QwContactBatch qwContactBatch);

    /**
     * 新增企微公海
     *
     * @param qwContactBatch 企微公海
     * @return 结果
     */
    public int insertQwContactBatch(QwContactBatch qwContactBatch);

    /**
     * 修改企微公海
     *
     * @param qwContactBatch 企微公海
     * @return 结果
     */
    public int updateQwContactBatch(QwContactBatch qwContactBatch);

    /**
     * 批量删除企微公海
     *
     * @param ids 需要删除的企微公海主键集合
     * @return 结果
     */
    public int deleteQwContactBatchByIds(Long[] ids);

    /**
     * 删除企微公海信息
     *
     * @param id 企微公海主键
     * @return 结果
     */
    public int deleteQwContactBatchById(Long id);


    List<QwContactBatchListVO> selectQwContactBatchListVO(QwContactBatch qwContactBatch);
}
